data {
    int K;
    int Data[K, 2];
}
parameters {
    real<lower = 0.0, upper = 1.0> p[K];
}
model {
    for (i in 1:K)
        p[i] ~ uniform(0.0, 1.0);
    for (i in 1:K)
        Data[i][2] ~ binomial(Data[i][1] + Data[i][2], p[i]);
}
